org.apache.fontbox.ttf

## Class VerticalHeaderTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.VerticalHeaderTable

    public class VerticalHeaderTable
    extends TTFTable

A vertical header 'vhea' table in a TrueType or OpenType font. Supports versions 1.0 and 1.1, for which the only difference is changing the specification names and descriptions of the ascender, descender, and lineGap fields to vertTypoAscender, vertTypoDescender, vertTypeLineGap. This table is required by the OpenType CJK Font Guidelines for "all OpenType fonts that are used for vertical writing". This table is specified in both the TrueType and OpenType specifications.

Author:
  Glenn Adams

### Field Summary

Fields
`static String` `TAG` A tag that identifies this table type.

### Fields inherited from class org.apache.fontbox.ttf.TTFTable

`font, initialized`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAdvanceHeightMax()`
`short` `getAscender()`
`short` `getCaretOffset()`
`short` `getCaretSlopeRise()`
`short` `getCaretSlopeRun()`
`short` `getDescender()`
`short` `getLineGap()`
`short` `getMetricDataFormat()`
`short` `getMinBottomSideBearing()`
`short` `getMinTopSideBearing()`
`int` `getNumberOfVMetrics()`
`short` `getReserved1()`
`short` `getReserved2()`
`short` `getReserved3()`
`short` `getReserved4()`
`float` `getVersion()`
`short` `getYMaxExtent()`

### Methods inherited from class org.apache.fontbox.ttf.TTFTable

`getCheckSum, getInitialized, getLength, getOffset, getTag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG

    public static final String TAG

A tag that identifies this table type.

See Also:
  Constant Field Values

### Method Detail

#### getAdvanceHeightMax

    public int getAdvanceHeightMax()

Returns:
  Returns the advanceHeightMax.

#### getAscender

    public short getAscender()

Returns:
  Returns the ascender.

#### getCaretSlopeRise

    public short getCaretSlopeRise()

Returns:
  Returns the caretSlopeRise.

#### getCaretSlopeRun

    public short getCaretSlopeRun()

Returns:
  Returns the caretSlopeRun.

#### getCaretOffset

    public short getCaretOffset()

Returns:
  Returns the caretOffset.

#### getDescender

    public short getDescender()

Returns:
  Returns the descender.

#### getLineGap

    public short getLineGap()

Returns:
  Returns the lineGap.

#### getMetricDataFormat

    public short getMetricDataFormat()

Returns:
  Returns the metricDataFormat.

#### getMinTopSideBearing

    public short getMinTopSideBearing()

Returns:
  Returns the minTopSideBearing.

#### getMinBottomSideBearing

    public short getMinBottomSideBearing()

Returns:
  Returns the minBottomSideBearing.

#### getNumberOfVMetrics

    public int getNumberOfVMetrics()

Returns:
  Returns the numberOfVMetrics.

#### getReserved1

    public short getReserved1()

Returns:
  Returns the reserved1.

#### getReserved2

    public short getReserved2()

Returns:
  Returns the reserved2.

#### getReserved3

    public short getReserved3()

Returns:
  Returns the reserved3.

#### getReserved4

    public short getReserved4()

Returns:
  Returns the reserved4.

#### getVersion

    public float getVersion()

Returns:
  Returns the version.

#### getYMaxExtent

    public short getYMaxExtent()

Returns:
  Returns the yMaxExtent.